Bug 253658 - clock-panel slowly grows in memory usage to become largest process
clock-panel slowly grows in memory usage to become largest process
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 20:57 EDT by Paul Dickson
Modified: 2009-01-09 02:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:13:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Dickson 2007-08-20 20:57:30 EDT
Description of problem:
The clock-applet, when initially started takes about 11 MB of resident memory. 
As it runs it slowly grows.  And grows.  I've seen it grow to more than 110 MB
resident in 5 days.  On my machines which has only 256 MB of RAM, the system
starts doing a lot of swapping.

Version-Release number of selected component (if applicable):
gnome-panel-2.19.6-1.fc8

How reproducible:
Always

Steps to Reproduce:
1.Start Gnome, when it get's too large kill clock-applet and OK the reload.
2.
3.
  
Actual results:
After several days, the clock-applet grows to be larger than firefox with 20
tabs open.

Expected results:
The clock-applet should stay at it's original size or only slightly larger.

Additional info:
These results are from at Pentium II (300 MHz) notebook with 256 MB of RAM.
My Pentium M notebook does not see this problem, but the clock-applet is current
using 35 MB of resident RAM after the system had been up for 25 hours.  It has
1.25 GB or RAM though.

The problem started several weeks ago.

I'm going to create a script to capture the memory usage hourly.
Comment 1 Paul Dickson 2007-08-21 02:25:08 EDT
With only 6 hours of monitoring, clock-applet is increasing in size on both
machines at just under 1 MB per hour.
Comment 2 Ray Strode [halfline] 2007-08-21 09:35:13 EDT
Chris, you've seen this before too yea? 

I'm going to run the clock-applet under valgrind today and see what shows up.
Comment 3 Ray Strode [halfline] 2007-08-21 09:46:06 EDT
Paul, do you keep any appointments or tasks in evolution (that show up when you
click the clock applet) ?
Comment 4 Paul Dickson 2007-08-22 02:52:37 EDT
Evolution is not installed.  Never used it.  Removed it less than a week ago
when spamassassin had a dependency problem (erasing spamassassin erased
evolution).  This problem predates this event.

When after I clicked on the date, and then click it again to close the calendar,
the size nearly doubled.

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND           
                                                           
 4273 dickson   20   0 56184  36m 9164 S  0.0  2.9   4:35.00 clock-applet      
                                                           
 4273 dickson   20   0 57208  37m 9164 S  0.0  3.0   4:45.82 clock-applet      
                                                           
 4273 dickson   20   0 58104  38m 9164 S  2.0  3.1   4:56.61 clock-applet      
                                                           
 4273 dickson   20   0 59128  39m 9164 S  0.0  3.2   5:07.36 clock-applet      
                                                           
 4273 dickson   20   0 60152  40m 9164 S  0.0  3.2   5:18.11 clock-applet      
                                                           
 4273 dickson   20   0 61048  41m 9164 S  0.0  3.3   5:28.89 clock-applet      
                                                           
 4273 dickson   20   0 62072  42m 9164 S  0.0  3.4   5:39.69 clock-applet      
                                                           
 4273 dickson   20   0 63096  43m 9164 S  0.0  3.5   5:50.48 clock-applet      
                                                           
 4273 dickson   20   0 64120  44m 9164 S  0.0  3.6   6:01.27 clock-applet      
                                                           
 4273 dickson   20   0 65016  45m 9164 S  0.0  3.6   6:12.06 clock-applet      
                                                           
 4273 dickson   20   0 66040  46m 9164 S  0.0  3.7   6:22.86 clock-applet      
                                                           
 4273 dickson   20   0 67064  47m 9164 S  2.0  3.8   6:33.22 clock-applet      
                                                           
 4273 dickson   20   0 68088  35m 6048 S  2.0  2.8   6:44.31 clock-applet      
                                                           
 4273 dickson   20   0 98.1m  57m  17m S  0.0  4.6   7:00.48 clock-applet      
                                                           
 4273 dickson   20   0  119m  58m  17m S  0.0  4.7   7:16.15 clock-applet      
                                                           
 4273 dickson   20   0  120m  59m  17m S  0.0  4.8   7:27.64 clock-applet      
                                                           
 4273 dickson   20   0  120m  60m  17m S  2.0  4.9   7:39.09 clock-applet      
                                                           
 4273 dickson   20   0  121m  61m  17m S  0.0  4.9   7:50.53 clock-applet      
                                                           
 4273 dickson   20   0  122m  62m  17m S  0.0  5.0   8:01.97 clock-applet

The line with the drop in RES is when the system was coming out of hibernation.
Comment 5 Matthias Clasen 2007-10-04 12:30:16 EDT
Sorry for the random bug spam, Ray. Talking through the straw...

Package Change Request
======================
Package Name: gnome-panel
New Branches: F-8 

I want to add some F9 material to the panel
Comment 6 Kevin Fenzi 2007-10-04 19:15:32 EDT
in reply to comment #5: cvs done. 
Comment 7 Bug Zapper 2008-04-04 09:38:58 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Bug Zapper 2008-11-26 02:42:02 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:13:10 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.